package com.qmth.themis.business.enums;

/**
* @Description: 考试记录字段
* @Param:
* @return:
* @Author: wangliang
* @Date: 2020/9/18
*/
public enum ExamRecordFieldEnum {

    id("id"),

    exam_id("examId"),

    exam_activity_id("examActivityId"),

    exam_student_id("examStudentId"),

    paper_id("paperId"),

    status("status"),

    first_prepare_time("firstPrepareTime"),

    first_start_time("firstStartTime"),

    last_break_time("lastBreakTime"),

    last_prepare_time("lastPrepareTime"),

    last_start_time("lastStartTime"),

    already_break_count("alreadyBreakCount"),

    client_current_ip("clientCurrentIp"),

    client_websocket_status("clientWebsocketStatus"),

    client_websocket_id("clientWebsocketId"),

    client_last_sync_time("clientLastSyncTime"),

    answer_progress("answerProgress"),

    duration_seconds("durationSeconds"),

    finish_time("finishTime"),

    finish_type("finishType"),

    warning_count("warningCount"),

    warning_unread("warningUnread"),

    review_result("reviewResult"),

    objective_score("objectiveScore"),

    paper_download("paperDownload"),

    breach_status("breachStatus"),

    paper_struct_path("paperStructPath"),

    paper_struct_upload("paperStructUpload"),

    serial_number("serialNumber"),

    last_break_id("lastBreakId"),

    entry_authentication_id("entryAuthenticationId"),

    entry_authentication_result("entryAuthenticationResult"),

    in_process_face_verify_status("inProcessFaceVerifyStatus"),

    in_process_liveness_verify_status("inProcessLivenessVerifyStatus"),

    in_process_realness_verify_status("inProcessRealnessVerifyStatus"),

    in_process_liveness_verify_count("inProcessLivenessVerifyCount"),

    monitor_key("monitorKey"),

    monitor_status_source("monitorStatusSource"),

    score_status("scoreStatus"),

    start_time("startTime"),

    end_time("endTime"),

    opening_seconds("openingSeconds"),

    min_duration_seconds("minDurationSeconds"),

    max_duration_seconds("maxDurationSeconds"),

    force_finish("forceFinish"),
    
    has_answer_file("hasAnswerFile"),

    camera_photo_upload("cameraPhotoUpload"),

    mobile_photo_upload("mobilePhotoUpload"),

    entry_authentication_policy("entryAuthenticationPolicy"),

    in_process_face_stranger_ignore("inProcessFaceStrangerIgnore"),

    in_process_liveness_fixed_range("inProcessLivenessFixedRange"),

    in_process_liveness_judge_policy("inProcessLivenessJudgePolicy"),

    monitor_video_source("monitorVideoSource"),

    mobile_websocket_id("mobileWebsocketId"),

    mobile_first_websocket_status("mobileFirstWebsocketStatus"),

    mobile_first_websocket_id("mobileFirstWebsocketId"),

    mobile_second_websocket_status("mobileSecondWebsocketStatus"),

    mobile_second_websocket_id("mobileSecondWebsocketId"),

    camera_monitor_status("cameraMonitorStatus"),

    screen_monitor_status("screenMonitorStatus"),

    mobile_first_monitor_status("mobileFirstMonitorStatus"),

    mobile_second_monitor_status("mobileSecondMonitorStatus"),

    monitor_record("monitorRecord"),

//    tencent_video_url("tencentVideoUrl"),

    warning_multiple_face_count("warningMultipleFaceCount"),

    exception_count("exceptionCount"),

    update_time("updateTime");

    private String code;

    private ExamRecordFieldEnum(String code) {
        this.code = code;
    }

    public String getCode() {
        return code;
    }
}
